<?php
namespace backendApi\modules\v1\models\exportForms;

use common\libs\export\module\ShopExport;
use common\libs\export\module\UserExport;

class ShopExportForm extends BaseExportForm
{
    /**
     * 导出
     * @param $filter
     * @param $listName
     * @param null $consoleRouter
     * @param null $remark
     * @return bool
     * @throws \yii\db\Exception
     */
    public function run($filter, $listName, $consoleRouter = null,$remark = null){
        $this->exportObj = ShopExport::instance();
        return $this->export($filter, $listName, $consoleRouter,$remark);
    }


}
